Bug 1268683 - (composer/semver) Review Request: php-composer-semver - Semver library that offers utilities, version constraint parsing and validation
Review Request: php-composer-semver - Semver library that offers utilities, v...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 12:42 EDT by Remi Collet
Modified: 2015-11-01 12:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:19:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (5.33 KB, text/plain)
2015-10-11 02:35 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (4.17 KB, text/plain)
2015-10-11 02:36 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.66 KB, text/plain)
2015-10-11 02:37 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-10-04 12:42:18 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/db0f4378972b9512acdd4577cad4cbf3104ef1cd/php/php-composer-semver/php-composer-semver.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-composer-semver-1.0.0-1.remi.src.rpm
Description: 
Semver library that offers utilities, version constraint parsing
and validation.

Originally written as part of composer/composer, now extracted and
made available as a stand-alone library.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Composer/Semver/autoload.php';


Fedora Account System Username: remi


-- 
New dependency of "composer"
Comment 1 Upstream Release Monitoring 2015-10-06 11:11:48 EDT
remi's scratch build of php-composer-semver-1.0.0-1.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11350908
Comment 2 Shawn Iwinski 2015-10-11 02:35 EDT
Created attachment 1081767 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 3 Shawn Iwinski 2015-10-11 02:36 EDT
Created attachment 1081768 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 4 Shawn Iwinski 2015-10-11 02:37 EDT
Created attachment 1081769 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1268683
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-10-11 02:37:44 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 6 Remi Collet 2015-10-11 13:06:32 EDT
Thanks for the review.

SCN request open on pkgdb.
Comment 7 Fedora Update System 2015-10-12 01:58:29 EDT
php-composer-semver-1.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1218ed6516
Comment 8 Fedora Update System 2015-10-12 01:58:34 EDT
php-composer-semver-1.0.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a32377cf25
Comment 9 Fedora Update System 2015-10-12 01:58:35 EDT
php-composer-semver-1.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-08f9bde20c
Comment 10 Fedora Update System 2015-10-12 14:49:47 EDT
php-composer-semver-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-composer-semver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1218ed6516
Comment 11 Fedora Update System 2015-10-12 19:51:26 EDT
php-composer-semver-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-composer-semver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a67e0fc4ba
Comment 12 Fedora Update System 2015-10-13 14:21:06 EDT
php-composer-semver-1.0.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-composer-semver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a32377cf25
Comment 13 Fedora Update System 2015-10-13 14:21:32 EDT
php-composer-semver-1.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-composer-semver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-08f9bde20c
Comment 14 Fedora Update System 2015-10-23 12:19:23 EDT
php-composer-semver-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-23 13:22:56 EDT
php-composer-semver-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-31 22:41:15 EDT
php-composer-semver-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-01 12:23:09 EST
php-composer-semver-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.